<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ClientOnboardingProgress extends Model
{
    protected $guarded = array('id');
    public $table = "client_onboarding_progress";
    
    public function stage_info(){
      return $this->hasOne('App\Models\ClientOnboardingMainStage', 'stage_id', 'id');
    }
    //this will produce one stage 
    //I need a relationship to show all sub items 
}
